<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';



$set['title']='Дневники';
include_once '../sys/inc/thead.php';
title();
err();
aut();

if(!isset($user)){
echo '<div class="err">Журнал закрыт для гостей.</div>';
}else{

only_reg();

if(isset($_GET['clean']))
{
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `blog_jurnal` WHERE `id_user` = '$user[id]'");
msg('Журнал очищен');
}
else
{
echo"<div class='foot'>\n";
echo"Вы уверены что хотите очистить журнал? <a href='?clean&amp;ok'>Да</a>|<a href='?'>Нет</a><br />\n";
echo"</div>\n";
}
}

mysql_query("UPDATE `blog_jurnal` SET `read` = '1' WHERE `id_user` = '$user[id]';");

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_jurnal` WHERE `id_user` = '$user[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Здесь пусто\n";
}

$q=mysql_query("SELECT * FROM `blog_jurnal` WHERE `id_user` = '$user[id]' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{
echo"".vremja($post['time'])."<br />\n";
echo"$post[msg]<br />";
echo"<div class='p_t'></div>";
}

if ($k_page>1)str("?",$k_page,$page); // Вывод страниц

echo"<div class='foot'>\n";
echo"<a href='?clean'>Очистить журнал</a><br />\n";
echo"<a href='/blog/'>Дневники</a><br />\n";
echo "<a href=\"/blog/user.php\">Мои дневники</a><br />\n";
echo "<a href=\"/blog/add.php\">Написать в дневник</a><br />\n";
echo"</div>\n";

}

include_once '../sys/inc/tfoot.php';
?>